Bug 521340 - Fix instances of #!/usr/bin/env python in dstat
Summary: Fix instances of #!/usr/bin/env python in dstat
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dstat
Version: 5.4
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jiri Popelka
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 502912 590060 521940
TreeView+ depends on / blocked
 
Reported: 2009-09-04 21:01 UTC by Issue Tracker
Modified: 2018-11-14 20:32 UTC (History)
6 users (show)

Fixed In Version: dstat-0.6.6-5.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-14 03:26:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1450 normal SHIPPED_LIVE dstat bug fix update 2011-11-14 08:26:28 UTC

Description Issue Tracker 2009-09-04 21:01:24 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2009-09-04 21:01:26 UTC
Event posted on 09-04-2009 04:59pm EDT by kbaxley

There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, dstat in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python:

# head /usr/share/dstat/dstat.py
#!/usr/bin/env python

This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 339249

Comment 3 RHEL Product and Program Management 2009-11-06 19:03:52 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 5 RHEL Product and Program Management 2010-08-09 18:23:13 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 14 errata-xmlrpc 2011-11-14 03:26:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1450.html


Note You need to log in before you can comment on or make changes to this bug.